<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:descendantFocusability="blocksDescendants"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/plugin_head"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <ImageView
            android:id="@+id/plugin_head_icon"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_centerVertical="true"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:src="@drawable/home_plugin_upgrade"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/plugin_head_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_toEndOf="@id/plugin_head_icon"
            android:gravity="center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/text_theme"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/plugin_head_icon"
            app:layout_constraintStart_toEndOf="@id/plugin_head_icon"
            app:layout_constraintTop_toTopOf="@id/plugin_head_icon"
            tools:text="你有100个游戏可以升级插件版" />

        <ImageView
            android:id="@+id/plugin_head_open"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/home_plugin_open"
            app:layout_constraintBottom_toBottomOf="@id/plugin_head_icon"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/plugin_head_icon" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

    <LinearLayout
        android:id="@+id/plugin_extend_container"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:gravity="center_horizontal"
        android:orientation="horizontal"
        android:paddingTop="6dp"
        android:paddingBottom="12dp"
        android:visibility="visible">

        <TextView
            android:id="@+id/plugin_extend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawablePadding="4dp"
            android:includeFontPadding="false"
            android:text="展开"
            android:textColor="@color/text_theme"
            android:textSize="12sp" />

        <ImageView
            android:id="@+id/ic_plugin_extend"
            android:layout_width="7dp"
            android:layout_height="4dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="4dp"
            android:src="@drawable/home_plugin_bottom_open"/>

    </LinearLayout>
</LinearLayout>